
%
%  update_two_columns_FRF.m  ver 1.2  by Tom Irvine
%

function[cell_array]=update_two_columns_FRF()

            vars = evalin('base', 'whos');
            cell_array = cell(size(vars));
            for i=1:length(vars)
                cell_array{i} ='999';
                vars(i).name;
                if(contains(vars(i).name,'myHandle') || ...
                   contains(vars(i).name,'vname_list') || ...
                   contains(vars(i).name,'Dirlik_N') || ...
                   contains(vars(i).name,'_Q30_b') || ...
                   contains(vars(i).name,'_Q10_b') || ...                
                   strcmp(vars(i).name,'Franken_psd') || ...
                   strcmp(vars(i).name,'navmat_spec') || ...
                   strcmp(vars(i).name,'rad_eff') || ...
                   strcmp(vars(i).name,'pink_spectrum') || ...
                   strcmp(vars(i).name,'radiation_efficiency') || ...
                   strcmp(vars(i).name,'m1540_spl') || ...
                   strcmp(vars(i).name,'random_k6') || ...
                   strcmp(vars(i).name,'accel_ps') || ...
                   strcmp(vars(i).name,'vel_ps') || ...
                   strcmp(vars(i).name,'white') || ...
                   strcmp(vars(i).name,'wavespeed') || ...
                    strcmp(vars(i).name,'velocity_spectrum') || ....
                   strcmp(vars(i).name,'accel_psd') || ...
                   strcmp(vars(i).name,'smc_s_016') || ...
                   contains(vars(i).name,'liftoff_spl') || ...
                   strcmp(vars(i).name,'ans') || ...
                   strcmp(vars(i).name,'mode_1') || ...
                   strcmp(vars(i).name,'mode_2') || ...
                   strcmp(vars(i).name,'mode_3') || ...              
                   strcmp(vars(i).name,'mode_4') || ...
                   strcmp(vars(i).name,'mode_5') || ... 
                   strcmp(vars(i).name,'mode_6') || ...           
                   strcmp(vars(i).name,'two_dof_ModeShapes') || ...
                   contains(vars(i).name,'amp_cycles') || ...
                   contains(vars(i).name,'range_cycles') || ...
                   contains(vars(i).name,'amp_mean_cycles') || ...
                   contains(vars(i).name,'range_cycles_max_min'))          

                   cell_array{i} ='999';
                else    
                    try
               
                        TTT=evalin('base',vars(i).name);
                        sz=size(TTT);
                        
                        if(sz(2)==2)
                            cell_array{i} = vars(i).name;
                        else
                            cell_array{i} ='999';
                        end    

                    catch
                        % disp('evalin failed');
                    end
                end    
            end

            try
                for i=length(vars):-1:1
                    if(contains(cell_array{i},'999'))
                        cell_array(i,:)=[];
                    end
                end    
            catch
                disp(' 999 failure');
            end